commit 7f200bf00e3e288e47265c01decc401616c57f10
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 25 17:13:28 2026 -0800

    libXxf86vm 1.1.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a986cf2151b839a8c3a5c6e524b0c5d060e170cf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 11 11:20:41 2026 -0800

    gitlab CI: drop the ci-fairy check-mr job
    
    The only thing this checked was the checkbox for allowing maintainers to
    edit the MR. Changed permissions checks now fail this job but luckily
    the setting it checked has been the default for years anyway so we can
    drop it.
    
    https://gitlab.freedesktop.org/freedesktop/ci-templates/-/issues/81
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 63134ba6acf046099fc112e08942ff6549f2286a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 15 18:32:38 2025 -0700

    XF86VM.3: fix warnings raised by `mandoc -T lint` and `groff -rCHECKSTYLE=10`
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/lib/libxxf86vm/-/merge_requests/11>

commit e7c22963adb0101b4b42c3a8d775154568c41b93
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 19 12:05:42 2025 -0700

    Improve man page formatting
    
    More closely follow common style as described on
    https://man7.org/linux/man-pages/man7/man-pages.7.html
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/lib/libxxf86vm/-/merge_requests/10>

commit d6a928004a6784ef9e44d6ffdf34c9288f62a3ac
Author: Bjarni Ingi Gislason <bjarniig@simnet.is>
Date:   Sat Apr 12 20:00:04 2025 +0000

    XF86VM.3: Some editorial changes for this man page [Debian bug #1102885]
    
    Originally from https://bugs.debian.org/1102885
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/lib/libxxf86vm/-/merge_requests/10>

commit b7d0126604e74871844fcecda04d45bb25988a2c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 23 15:17:08 2025 -0800

    meson: Add option to build with meson
    
    Also updates the gitlab CI config to test both build types
    and compare the generated output/installed files.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/lib/libxxf86vm/-/merge_requests/9>

commit 4f7497ee3b0deb0418ce48dcd862fd6c23e20064
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 13 18:20:17 2024 -0800

    libXxf86vm 1.1.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1c93aceb217b6db55328506c271ccdded3a5a307
Author: Peter Williams <peter@newton.cx>
Date:   Mon Oct 14 10:54:23 2024 -0400

    Add -no-undefined flag to LDFLAGS to fix Windows builds
    
    Closes #2
    Patch originally from:
    https://github.com/conda-forge/xorg-libxxf86vm-feedstock/commit/7c758477ff
    
    Part-of: <https://gitlab.freedesktop.org/xorg/lib/libxxf86vm/-/merge_requests/7>

commit 546c0e93adc535dfaaa66277928887c8dc1f8e13
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 17 14:19:53 2024 -0800

    Add X.Org's standard C warning flags to AM_CFLAGS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cfda59347e3a04415340a99f925a9cd85c0531b2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 8 16:30:15 2023 -0800

    configure: Use LT_INIT from libtool 2 instead of deprecated AC_PROG_LIBTOOL
    
    AC_PROG_LIBTOOL was replaced by LT_INIT in libtool 2 in 2008,
    so it's time to rely on it.
    
    Clears autoconf warnings:
    
    configure.ac:14: warning: The macro `AC_PROG_LIBTOOL' is obsolete.
    configure.ac:14: You should run autoupdate.
    aclocal.m4:3465: AC_PROG_LIBTOOL is expanded from...
    configure.ac:14: the top level
    
    libtoolize: Consider adding 'AC_CONFIG_MACRO_DIRS([m4])' to configure.ac,
    libtoolize: and rerunning libtoolize and aclocal.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 396b42b2bfa698cae9349f35836abda9d45ae5ff
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 25 09:36:20 2023 -0800

    Remove "All rights reserved" from Oracle copyright notices
    
    Oracle no longer includes this term in our copyright & license notices.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7fe2d41f164d3015216c1079cc7fbce1eea90c98
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Sep 26 17:48:52 2022 -0700

    libXxf86vm 1.1.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8cb2b07b8f83bc6385c41c7cdd6051a66dced0ff
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 20 11:07:02 2022 -0700

    Update GetOldReq to use _XGetRequest()
    
    Requires libX11 1.5 or later, but configure.ac already requires x11 >= 1.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ca196d7545020037ed5533ff1cb3ebb52823af8e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 20 10:57:24 2022 -0700

    Variable scope reductions as suggested by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1f6854c919c27c7bf640000a3c0851116779f7a4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 20 10:45:07 2022 -0700

    Fix -Wsign-compare warning
    
    XF86VMode.c: In function ‘XF86VidModeGetModeLine’:
    XF86VMode.c:270:25: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
      if (modeline->privsize < (INT_MAX / sizeof(INT32)))
                             ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2e27589966d6653e63b56e29b0bea83f722c4c33
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 19:05:03 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0dd3ebf9f0f698491361d2087a01d81d2a06499e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 19:04:10 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e86dfd828c4ca24ae3f0ed6c78f87b0466564f2a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 19:03:18 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7f43cd2a905e7b93b83c9ce81dabb768f6fa2bc7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:58:38 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3e396bee684f716eb4b567aba639944b2d52d377
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 22:57:37 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3c167ac0e7d66bcb0bd8794ba865bb3b69517f76
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 471fc6eb7af5a01e1061354e56814aee00ddb157
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f542662908d8d344ca217bd76aeede08e9d403a4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 92d18649e92566ccc3abeba244adabda249cce1b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Feb 23 23:01:54 2015 -0800

    libXxf86vm 1.1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e13937ebf1da3c062c9d9731f2b49207d9e4ea2a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 9 22:23:31 2015 -0800

    Tell the compiler it's unlikely we're talking to an XFree86 3.x server
    
    Hint that the current (XFree86 4.0 & later) version of the protocol
    is most common today.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 723f4a1430dad0d495e3c83c7c95edb94e9f4304
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 5 22:52:39 2015 -0800

    Discard correct length for old-format replies in XF86VidModeGetGamma
    
    Regression introduced in libXxf86vm 1.1.3 / commit 284a88e21fc05a63466
    Unlikely to be hit in practice since it requires out-of-range privsize
    or malloc failure while talking to a server using the XFree86 3.x version
    of the protocol.
    
    Found by Oracle Parfait 1.5.1:
    
    Error: Uninitialised memory (CWE 456)
       Possible access to uninitialised memory '&rep.length'
            at line 279 of open-src/lib/libXxf86vm/unpacked-src/src/XF86VMode.c in function 'XF86VidModeGetModeLine'.
              &rep.length allocated at line 218.
              &rep.length uninitialised when majorVersion < 2 at line 233.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>

commit f3cdbabadd4626a030e3ac139a333450a462e055
Author: Michael Joost <mehl@michael-joost.de>
Date:   Mon Nov 18 16:11:26 2013 +0100

    Remove fallback for _XEatDataWords, require libX11 1.6 for it
    
    _XEatDataWords was orignally introduced with the May 2013 security
    patches, and in order to ease the process of delivering those,
    fallback versions of _XEatDataWords were included in the X extension
    library patches so they could be applied to older versions that didn't
    have libX11 1.6 yet.   Now that we're past that hurdle, we can drop
    the fallbacks and just require libX11 1.6 for building new versions
    of the extension libraries.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 68a23c66892e973db389db6b12a1d70a0d03b797
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 12:48:16 2013 -0700

    Add man/XF86VidModeAddModeLine.man file (missed in previous commit)
    
    Oops, forgot to git add the shadow man page.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 01adc331604d77e71a42a77619560b59d7a53d26
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 5 21:35:14 2013 -0700

    Add XF86VidModeAddModeLine man page
    
    The function was actually already described in the man page, and
    even had a commented out prototype in the man page until it was
    removed by the cleanup in commit aac92ef0f20f8.
    
    So this commit restores the prototype (but doesn't comment it out as
    before), adds the function to the NAME section, and adds a .so for it.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 980ed7e7c98606f09e981a52255acd76b335a19a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 24 22:27:37 2013 -0700

    Fix a couple sign comparison warnings
    
    XF86VMode.c:352:19: warning: comparison of integers of different signs: 'int' and 'CARD32' (aka 'unsigned int') [-Wsign-compare]
        for (i = 0; i < rep.modecount; i++) {
                    ~ ^ ~~~~~~~~~~~~~
    
    XF86VMode.c:1048:16: warning: comparison of integers of different signs: 'int' and 'CARD32' (aka 'unsigned int') [-Wsign-compare]
            for (i = 0; i < rep.clocks; i++) {
                        ~ ^ ~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4219ed8b5cfb832b20cb50a0404b3bd02bc863b4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 24 22:20:41 2013 -0700

    Require ANSI C89 pre-processor, drop pre-C89 token pasting support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aac92ef0f20f8ce6592245e9e6ff9d8f7eac3efa
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Fri Jun 7 07:14:43 2013 -0400

    Enable parsing of C prototypes in the synopsis into prototype markup.

commit 3897537c9b79521d498112988e668815067301b1
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Fri Jun 7 07:01:28 2013 -0400

    Eliminate use of .ta.

commit 4ca5d221d35ed6981247caa5d5069f083e83b7fb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 30 18:43:11 2013 -0700

    libXxf86vm 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4c4123441e40da97acd10f58911193ad3dcef5cd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 14:43:48 2013 -0700

    avoid integer overflow in XF86VidModeGetModeLine()
    
    rep.privsize is a CARD32 and needs to be bounds checked before multiplying
    by sizeof(INT32) to come up with the total size to allocate & read to avoid
    integer overflow, though it would not result in buffer overflow as the same
    calculation was used for both allocation & reading from the network.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 47bb28ac0e6e49d3b6eb90c7c215f2fcf54f1a95
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 14:33:32 2013 -0700

    memory corruption in XF86VidModeGetGammaRamp() [CVE-2013-2001]
    
    We trusted the server not to return more data than the client said it had
    allocated room for, and would overflow the provided buffers if it did.
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 284a88e21fc05a63466115b33efa411c60d988c9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 14:24:12 2013 -0700

    Use _XEatDataWords to avoid overflow of length calculations
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d0355b28dd53fba6fb29c350e090ed4a73d4c480
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 17:58:28 2013 -0700

    Unlock display before returning alloc error in XF86VidModeGetDotClocks()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6c82906f25abcb0f8ec92bcdaf1872bd8b63ca5d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 17:54:45 2013 -0700

    Unlock display before returning alloc error in XF86VidModeGetAllModeLines()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8ed00bd0a7c44c7fece687e2566d920ea74ef809
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 17:52:12 2013 -0700

    Unlock display before returning alloc error in XF86VidModeGetModeLine()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a89b1ad3377bfef9bab52f15f98b00f6540d531a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 17:40:24 2013 -0700

    Improve error handling in XF86VidModeGetMonitor()
    
    Ensure that when we return an error we unlock the display first, and
    NULL out any pointers we freed in error cleanup.
    
    Instead of adding these fixes to every error check, instead combine
    the error handling cleanup into a single copy.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ef95f1c3737d9efc7d97fb1784f80ef3540a846b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 15:13:06 2013 -0700

    When Xcalloc() returns NULL, you don't need to Xfree() it
    
    I have no words to explain how this ever happened.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6772336755c6eb5b46c471dd5ae2ac89101ed179
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 18 23:15:31 2013 -0800

    Replace deprecated Automake INCLUDES variable with AM_CPPFLAGS
    
    Excerpt https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
    
      - Support for the long-deprecated INCLUDES variable will be removed
        altogether in Automake 1.14.  The AM_CPPFLAGS variable should be
        used instead.
    
    This variable was deprecated in Automake releases prior to 1.10, which is
    the current minimum level required to build X.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9f56d200d3675fe3e178001112c563d548376b7a
Author: Colin Walters <walters@verbum.org>
Date:   Tue Jan 15 14:39:40 2013 -0500

    autogen.sh: Honor NOCONFIGURE environment variable
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 6528ae139506212644dc68a0696580c848e3f8de
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:28:48 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit a0bd361fe688590b7d62ffb3ad1c1648a22096d4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 7 21:39:46 2012 -0800

    libXxf86vm 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2bac2e232f56836faeab016ab44fe45a3f055fd0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 10 21:51:52 2011 -0800

    Fix gcc -Wwrite-strings warning

commit 78b0baf7872234c7e0e5753be76a662e34d87984
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:58:12 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ad5a4792e35b63c5b193f09303bcc41b322750d0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 11:43:45 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    Add AC_CONFIG_SRCDIR([Makefile.am])
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines

commit 97d7aa6c8108800d3ccd30ce907ef32e769370a9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:38 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 353b988717d474a77322a541a6ab56661cc0bedb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 27 18:50:15 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6f22da39b65983a582d2055e9e43f5dbc0412f1f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 18:04:50 2010 -0700

    libXxf86vm 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fe0659724002e65af6a68be53f57bb8ba85324fe
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 18:03:51 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 84c7286a799d2368ce868afb31b373f8486724c2
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:30:04 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b6d645596f284550350d8c690cfcce89d019ab60
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Aug 17 19:53:37 2010 -0400

    man: store shadow man pages in git rather than generating them
    
    Simplify the build process and the makefile.
    
    Local fix in CVS for bug 5628 is not required
    as the problem has been fixed in
    util-macros d9062e4077ebfd0985baf8418f3d0f111b9ddbba
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 01df17daf923b7eeeb3476149d189c5dc8da3bf8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 8 15:50:02 2010 -0700

    Use make rules instead of shell for loops to generate shadow man pages
    
    Allows parallel make and simpler build logs/error reporting
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a3603591f3086f7aeb92b193b2736733b4e79047
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 8 15:37:15 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Use automake provided $(AM_V_GEN) and XORG_DEFAULT_OPTIONS provided $(SED)
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6be94fa76ef3e2c41c7cb8487e639f0312d3b369
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 07:10:51 2010 -0300

    Purge macros NEED_EVENTS and NEED_REPLIES
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 15319d63a389bd9af1819f53a2d021edcd6180f2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:34 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a3ed63ba72d767371174d1442c810144b0d2f8b7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:49 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 02155a7f70ad94026a7c138081c4249cffbc25a7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 14 10:15:23 2010 -0500

    COPYING: fix copyright notice incorrect format
    
    Refer to: XF86VMode.c
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit eba6628379b65326453ea12ddd8cb33b144f3049
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 20:55:56 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 0d976427d1229b65baa489275c62e47762b2803e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit e9fd67ec28d4402a498af78f34815cc9d22d6c73
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit d7cc1a08bfc5c780d0a4f3e0193ff91d0076713c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:26 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 2bb8c8fcabebf00fdc12b2649459b920e816f382
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:43 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 9888ab7cf91cc4c7bf2a545ebc3b8bf0a002aa39
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:19 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit b4d998a026f03aa2fea74a909f3edea4e4aed5a1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Oct 2 09:43:30 2009 +1000

    libXxf86vm 1.1.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8f518e80716915cfb8234a18836ad95121a7d6db
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Oct 2 08:58:19 2009 +1000

    Require macros 1.3 for XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3951e96ddfefa5f3007895002528e713618a60ab
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 27 11:18:38 2009 +1000

    libXxf86vm 1.0.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7c7ab2076420a883e827509da0e8a0989a786000
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 27 11:17:45 2009 +1000

    Include xf86vmproto instead of xf86vmstr.h
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b49fcb355eb1469352eb25ba3dbcf2863cfe5642
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 26 16:09:15 2009 +1000

    Move the xf86vmode.h header from the proto package to here.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f2a1073b3027c508e01beca9ca34bbc6c90f5e6b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:37 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e316211692ab7c882be6e89f5c6311160882375f
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Feb 2 14:43:19 2009 -0200

    Janitor: ansification, make distcheck, compiler warnings, .gitignore.

commit 2cba02334e948e215ab32635763e739c8c4a2f56
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jul 2 15:37:20 2008 -0400

    libXxf86vm 1.0.2

commit 31cb01986bc3527152d0e3501b38d1b5cfad3155
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Jun 13 13:07:49 2008 -0400

    Don't terminate zero-length strings.
    
    Just leave vendor and model NULL if the response didn't include them.

commit 0aa2ae83518b14e927fb5b8ced182a4f25cecc76
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Mar 24 15:13:14 2008 -0400

    Bug #10846: Fix XF86VidModeGetMonitor when vendor or model are null.

commit 230197a970aec8d5550c2697249ba2e351b2de0b
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 9 08:50:55 2008 +0100

    nuke RCS Ids

commit a3bf552ea28f6275f604f114190b0c69d9bf4ef8
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:38:47 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 89dd6f2e9f0322001bcc9f5b42705e150414c37d
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:53:52 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 52a0ff653601e603faa9c994a240814f9ddc277c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:59:14 2006 -0700

    renamed: .cvsignore -> .gitignore

commit 3e980bb302befb4c463fa861ab08034c83208622
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Apr 27 00:26:53 2006 +0000

    Bump to 1.0.1

commit 227f7dc999517fc477b63327372fc846e5f44b7d
Author: Jeremy C. Reed <reed@reedmedia.net>
Date:   Thu Apr 20 23:44:33 2006 +0000

    Fixed typo. Library was spell wrong.

commit 789ff24df047508e04a40fd4b9605e6f40f86638
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Feb 12 18:19:23 2006 +0000

    Bug #5628 <https://bugs.freedesktop.org/show_bug.cgi?id=5628> Shadow pages
        not created correctly when MANDIR & MANSUFFIX don't match.

commit 6455000546cf8fd14f165a4f13590f94fc9948dc
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:35 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 22c88452663d7c0b4f854f056968527298b412d2
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:45 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 5898da0a5deed350973064bf446c97831e42d575
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:46 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 914624d1fb3924c76e5dc358bb43b4dff800280c
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 04:41:52 2005 +0000

    Add check and cflags for malloc(0) returning NULL.

commit 0f0572fd4b9de8747741ff81d668edfe23db0e15
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:03:07 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 3d042fdd3fb1d2d30ede743741698589e868701b
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:44 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit eb9d4a646a4dfc30fde31deb926a954c2c41ec98
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:12 2005 +0000

    Update package version number for RC1 release.

commit b46825c7ec5c50be0309b52759a2fba05fd2f350
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:00:09 2005 +0000

    Use @LIB_MAN_SUFFIX@ instead of $(LIB_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 736aad1287fa65e82cbcb12073ba99ca8d63c0db
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 21:13:23 2005 +0000

    Rename .shadows.DONE to shadows.DONE to avoid some make's thinking it's a
        suffix rule (reported by Matthieu Herrb)

commit 5735da3f59d36568cfe198eeb1579e51b105491d
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Oct 13 04:25:46 2005 +0000

    Add generated man pages to .cvsignores

commit d0f4698f0cf843f6dfdba11eae687ada11e3d4f0
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Oct 13 01:20:52 2005 +0000

    [lib/Xxf86vm manpage cleanup]
    Use sed to fill in variables in man page Add shadow man pages for man pages
        that document multiple functions.

commit 72995528798d388422e6e09ee26a0edaffadb779
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Mon Sep 26 20:55:17 2005 +0000

    Simple whitespace change to change ownership of ,v file on server. Required
        so that I can change permissions of file.

commit 8f19f14ada44daf9d85f4d65f0bc130ae5b2f4bf
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:53 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 417a69a7e9ad4df9b3a7f03b09e4694ad5c2bcbc
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 21:10:32 2005 +0000

    Add .cvsignore files Switch _la_CFLAGS for AM_CFLAGS to clean up directory

commit 4b8ad01b53792d4220579a259290e6bf59eb3d8b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Jul 1 16:16:15 2005 +0000

    spell freedesktop.org correctly

commit a26154988a9367521a15e0876939d8ff7810cd81
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Fri Jun 10 22:38:47 2005 +0000

    Apply patch from Jeff Smith (whydoubt@yahoo.com):
    - Add file linking for Xxf86misc, Xxf86dga, and Xxf86vm.
    - Check in build system for Xxf86misc, Xxf86dga, and Xxf86vm.

commit c421f84a2d14fbf2995cba23d2ea614b59eadfd5
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:23:08 2004 +0000

    Merging XORG-CURRENT into trunk

commit 045fa2a95d6eac5db1c6d8781ef48f86d00b655f
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:33:12 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit d8913570296903c3686969f8c6dbeaf70064f23e
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:14 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 2e3edee344aee8f8cebe139541ebecccec570d8b
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:46 2004 +0000

    readding XFree86's cvs IDs

commit 44926b9d3066d939b66aef57d091b8a878591e1e
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:14 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 56ddf834f4d3cca8afd7d36a63d7b825d1d7ffc0
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Thu Dec 4 22:03:15 2003 +0000

    XFree86 4.3.99.901 (RC 1)

commit db365c73e467868938ad5b15343c3b79b87994d5
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:33 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit ed50d6847a012bef0bf7274626bb0ed8018d5e23
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:54 2003 +0000

    XFree86 4.3.0.1

commit 252d1a944ccf5ebfc2c7e0c349254be055402c17
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:49 2003 +0000

    Initial revision
